static void kernel()
{
//Create an idle-task
Task idletask;
task_create(&idletask,idle,TaskPriorityLow);

//enable watchdog
wdt_enable(WDTO_2S);

//init user specific stuff
init_user_environment();
//start scheduler
task_switch();

while(1) {}
}

//****************************************************
//*reset_system()                                    *
//*                                                  *
//* description: reset the system via watchdog       *
//* input: none                                      *
//* output: none                                     *
//****************************************************

void reset_system()
	{
	cli();
	wdt_enable(WDTO_1S);
	while(1);
	}
